Bug 994749 - ABRT Fails to Open
Summary: ABRT Fails to Open
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 19
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-08 00:10 UTC by KitchM
Modified: 2016-12-01 00:44 UTC (History)
9 users (show)

Fixed In Version: gnome-abrt-0.3.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-15 00:55:37 UTC
Type: Bug


Attachments (Terms of Use)
ABRT Core Dump (22.53 KB, text/plain)
2013-08-08 15:15 UTC, KitchM
no flags Details
DBus Test (910 bytes, text/plain)
2013-08-08 15:16 UTC, KitchM
no flags Details
Error results of command (7.20 KB, text/plain)
2013-08-09 15:59 UTC, KitchM
no flags Details

Description KitchM 2013-08-08 00:10:31 UTC
Description of problem: With latest update, including todays, ABRT will run on errors and show up on the task bar, but will not open up when selected or when started from the menu.


Version-Release number of selected component (if applicable):
Latest from testing

How reproducible: Always


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jakub Filak 2013-08-08 09:42:30 UTC
Thank you for the bug report. If you have time, please start gnome-abrt in verbose mode from command line and provide the output.

$ gnome-abrt -vvv

It would be nice if you can check that abrt-dbus works correctly. In order to do so, please run the following command and provide the output:

$ dbus-send --system --type=method_call --print-reply --dest=org.freedesktop.problems /org/freedesktop/problems org.freedesktop.problems.GetProblems

Comment 2 KitchM 2013-08-08 15:15:53 UTC
Created attachment 784444 [details]
ABRT Core Dump

Comment 3 KitchM 2013-08-08 15:16:38 UTC
Created attachment 784445 [details]
DBus Test

Comment 4 KitchM 2013-08-08 15:18:22 UTC
As requested, please see attached.

Comment 5 Jakub Filak 2013-08-08 15:39:56 UTC
(In reply to KitchM from comment #2)
> Created attachment 784444 [details]
> ABRT Core Dump

Thank you! Unfortunately, without a stack trace from the crash it is impossible to determine what caused the crash. Please see http://fedoraproject.org/wiki/StackTraces for more information about getting a useful stack trace with debugging symbols.

But I would expect that ABRT has detected the crash, so you should be able to report this bug via abrt-cli:

1. find the corresponding abrt problem and its number:
  $ abrt-cli list
  
  or you can single out only the problems linked to gnome-abrt

  $ abrt-cli list | grep -B4 gnome-abrt

  problem number is on single line and is prefixed with @

2. report the problem

  $ abrt-cli report @$(problem mumber found int the previous step>)

Comment 6 KitchM 2013-08-08 16:00:37 UTC
When trying abrt-cli list, I received back:
bash: abrt-cli: command not found...

What should I do now?

Comment 7 Jakub Filak 2013-08-08 16:07:12 UTC
Ah, abrt-cli is not installed by default, so you have to install it:

$ sudo yum install abrt-tui

Comment 8 KitchM 2013-08-08 16:12:11 UTC
Oops.  Now I get:

--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================
 Package       Arch        Version                          Repository        Size
===================================================================================
Installing:
 abrt-tui      x86_64      2.1.6.23.gf9af.dirty-1.fc19      fedora-abrt       73 k

Transaction Summary
===================================================================================
Install  1 Package

Total download size: 73 k
Installed size: 20 k
Is this ok [y/d/N]: y
Downloading packages:
No Presto metadata available for fedora-abrt
abrt-tui-2.1.6.23.gf9af.dirty- FAILED                                          
http://repos.fedorapeople.org/repos/abrt/abrt/fedora-19/x86_64/abrt-tui-2.1.6.23.gf9af.dirty-1.fc19.x86_64.rpm: [Errno 14] HTTP Error 404 - Not Found
Trying other mirror.


Error downloading packages:
  abrt-tui-2.1.6.23.gf9af.dirty-1.fc19.x86_64: [Errno 256] No more mirrors to try.

Comment 9 Jiri Moskovcak 2013-08-08 20:11:06 UTC
yum clean all && yum install abrt-cli

Comment 10 Jakub Filak 2013-08-09 07:27:39 UTC
Hmm, I pretty sure I know what is this bug about. You have abrt from nightly builds and gnome-abrt suffers from bug #959811.

Comment 11 Jakub Filak 2013-08-09 08:08:36 UTC
A patch fixing this bug report has been submitted for review:
https://lists.fedorahosted.org/pipermail/crash-catcher/2013-August/005163.html

Comment 12 Jakub Filak 2013-08-09 10:57:20 UTC
Fixed in upstream git:

commit a3c1a1e2bcdba15cf419af01a5f7fc2557524bb3
Author: Jakub Filak <jfilak@redhat.com>
Date:   Fri Aug 9 09:50:43 2013 +0200

    Temporarily disable URL title retrieval
    
    Required until rhbz#960637 is fixed.

Comment 13 KitchM 2013-08-09 15:59:16 UTC
Created attachment 784903 [details]
Error results of command

Comment 14 KitchM 2013-08-09 16:03:17 UTC
Jiri, I did as you suggested and got the results as shown in the attached file.

Please advise further.

Thanks.

Comment 15 Fedora Update System 2013-09-13 13:10:39 UTC
gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19

Comment 16 Fedora Update System 2013-09-14 02:40:22 UTC
Package gnome-abrt-0.3.1-1.fc19, abrt-2.1.7-1.fc19, libreport-2.1.7-1.fc19, satyr-0.9-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.1-1.fc19 abrt-2.1.7-1.fc19 libreport-2.1.7-1.fc19 satyr-0.9-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16707/gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2013-09-15 00:55:37 UTC
gnome-abrt-0.3.1-1.fc19, abrt-2.1.7-1.fc19, libreport-2.1.7-1.fc19, satyr-0.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.